body{
  /* overflow-y: scroll; */
overflow-x: hidden;
}

.all_btn_display_style{
    padding-top: 10px;
    margin-bottom: 8px;
    padding-bottom: 10px;
    box-shadow: 0px 5px 7px -7px #000000
}
.all_btn_display_style i{
    text-shadow: 1px 1px 1px #000000;
}

/* Menu active */
.active_menu_display
{
  border-bottom: 2px solid #17a2b8!important;
  background-color: #ffffff!important;
  color: #000000!important;
  font-weight: bold;
  box-shadow: 0px 12px 6px -13px #000000;
  /* box-shadow: inset -10px 0px 26px -22px #000000 */
}
.active_menu_display:focus{
  outline: 0!important;
}
.active_menu_display i{
  color:#40bfdc;
  text-shadow: 1px 1px 0px #000000;
}
/* Menu active fin*/

.display_sections{
  margin-top:6px;padding-right:0px;padding-left:0px;margin-left:auto;margin-right:auto;
}
.div_display_discussion_information{
      border-left:4px solid #5a6268; 
      background-color:#f2f2f2;
      /* padding:10px; */
      border-radius:5px;
      box-shadow: 0px 9px 6px -13px #000000;
      margin-bottom:14px;
      height:46px;
}

/* afficher Code et utilisateur + tour # */
#display_discussion_code_user{
  float:left;
  padding:11px;
}
#display_tour_user_counter{
  float:right;
  margin-top: 4px;
  margin-right: 6px;
  /* cursor: pointer;
  background-color: #d1d1d1;
  padding:11px; */
}

  .div_display_box_style{
    /* border-left:4px solid #40bfdc;  */
    background-color:#f2f2f2;
    padding:20px;
    border-radius:5px;
    box-shadow: 0px 12px 6px -13px #000000;
    margin-bottom:14px;
  }
.user_parameter_titles {
  font-size: 24px;
  font-weight: bold;
  margin-bottom: 10px;
  display: block;
}
#display_waiting_host{
  color:#666666;
  font-size:20px;
  font-weight: bold;
  margin-bottom:30px;
}
/* question selected */
#display_selected_question{
  color:#666666;
  font-size:20px;
  font-weight: bold;
  margin-bottom:20px;
}

/* SELECTED USERS + BTN */
#display_selected_username{
  font-size:26px;
  font-weight: bold;
  margin-bottom:30px;
}

#display_selected_user{
  padding:0px;
  /* height:600px; */
  margin:0 auto;
  margin-top:20px;
  /* padding-top: 30px; */
}

#display_selected_user #display_countdown_timer{
  margin-top:100px;
  font-weight: bold;
  font-size:30px;
}

#display_selected_user #display_users_btn{
  margin-top:40px;
}

#display_user_list_pas_parler .style_users_list{
  background-color:#dbdbdb;
  border-left:4px solid #28a745;
  padding:6px;
  display:block;
  margin-bottom:6px;
  border-radius: 5px;
  box-shadow: 0px 9px 6px -13px #000000;
}
#display_user_list_parler .style_users_list{
  background-color:#dbdbdb;
  border-left:4px solid #c82333;
  padding:6px;
  display:block;
  margin-bottom:6px;
  border-radius: 5px;
  box-shadow: 0px 9px 6px -13px #000000;
}


/* COUNTDOWN */
.base-timer {
  position: relative;
  width: 300px;
  height: 300px;
  margin:0 auto;
}

.base-timer__svg {
  transform: scaleX(-1);
}

.base-timer__circle {
  fill: none;
  stroke: none;
}

.base-timer__path-remaining {
  stroke-width: 6px;
  stroke-linecap: round;
  transform: rotate(90deg);
  transform-origin: center;
  transition: 1s linear all;
  fill-rule: nonzero;
  stroke: currentColor;
}

.base-timer__path-elapsed {
  stroke-width: 6px;
  stroke: grey;
}

.btn_user_vote_active{
  background-color:#17a2b8;
}
.btn_user_vote_active:hover{
  background-color:#216c77;
  cursor: pointer;  
}
.btn_user_vote_active:focus{
  outline: 0!important;
  box-shadow: none!important;
}


/* test */
.blinking_warning{
	animation:blinkingText 0.8s infinite;
}
@keyframes blinkingText{
	0%{		color: #cf1313;	}
	49%{	color:transparent;	}
	50%{	color: #cf131357}
	99%{	color: transparent;	}
	100%{	color: #cf1313;	}
}


.timer_color_1 {
  color: #199eb3;
}

.timer_color_2 {
  color: #cf8d13;
}

.timer_color_3 {
  color: #cf1313;
}
.timer_color_pause {
  color: #4e4e4e;
}

.base-timer__label {
  position: absolute;
  width: 300px;
  height: 300px;
  top: 0;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 48px;
}

#base-timer-label-pause{
  position: absolute;
  /* top: -10px; */
}
/* COUNTDOWN FIN */
/* SELECTED USERS + BTN fin */


/* LOADING */
.overflow_hidden{
    overflow: hidden;
  }
  .loading_site_wait{
    overflow:hidden;
    z-index:100;
    position:fixed; 
    background-color:#ffffff;
    height:100%;
    width:100%;
  }
  .loading_site_icon {
    margin-top:20px;
    display: inline-block;
    border: 16px solid #515151; 
    border-top: 16px solid #40bfdc;
    border-radius: 50%;
    width: 120px;
    height: 120px;
    animation: spin 2s linear infinite;
    z-index:101;
  }
  @keyframes spin {
    0% { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
  }
  .user_access_denied{
    font-size:26px;
    font-weight: bold;
    display:block;
    margin-top:20px;
  }
  /* LOADING FIN */

  /* MENU BTN STYLE */
.menu_style_test{
  box-shadow: 0px 12px 6px -13px #000000;
  font-size:18px;
  border:1px solid rgb(59 59 59 / 50%);
  display:block;
  padding: .75rem 1.25rem;
  margin-left:10px;
  margin-right:10px;
}
.menu_style_test span{
  display:block;
  width:100%;
  margin-right:6px;
  margin-left:6px;
}
.menu_style_test span i{
  padding-left:10px;
}


@media (max-width: 992px) {
  .menu_style_test{
    margin-left:10px!important;
    margin-bottom:10px;
  }
}

  /* MENU BTN STYLE */

  /* LOGIN */
  .login_btn_active{
    background-color:#5a6268;
    border-color:#393e42;
  }
  .loginerror {
    margin: 0px auto;
    padding: 10px;
    border-left: 2px solid #dc3545;
    color: #000000;
    background: #ebebeb;
    border-radius: 5px;
  }
  .loginerror p{
    margin-top: 10px;
  }
  .loginsuccess {
    margin: 0px auto; 
    padding: 10px; 
    border-left: 2px solid #29c03d; 
    color: #000000; 
    background: #ebebeb;
    border-radius: 5px; 
    text-align: left;
  }

  .btn_display_login{
    font-weight:500;
  }
  .btn_display_login:focus{
    outline: 0!important;
    box-shadow: none!important;
  }
/* LOGIN FIN*/
  hr.divider {
    max-width: 20%;
    border-width: 0.2rem;
    border-color: #40bfdc;
    box-shadow: 0px 2px 2px -1px #5d5d5d;
}







.icon_note_style{
  color: #3b3b3b;
  font-size: 76px;
  display: block;
  margin-top: 10px;
  /* margin-bottom:10px; */
  text-shadow: 1px 1px 1px #000000;
}
.select_this_discussion:hover .icon_note_style{
  color:#40bfdc;
}

.select_this_discussion:hover{
  /* border-right: 4px solid #1e97b3;
  border-left: 4px solid #1e97b3; */
  background-color: #d3d3d3;
  background-position: 0 0, 0 0;
  -webkit-transition-duration: 0.5s;
     -moz-transition-duration: 0.5s;
          transition-duration: 0.5s;
}

.select_this_discussion{
    margin-bottom:20px;
    padding-top:10px;
    padding-bottom:10px;
    box-shadow: 0px 12px 6px -13px #000000;
    font-size: 22px;
    font-weight: 500;
    text-decoration:none!important;
    text-align: center; 
    display: block;
    cursor: pointer;   
    background-color: #eaeaea;
    border-right: 2px solid #40bfdc;
    border-left: 2px solid #40bfdc;

  background-repeat: no-repeat;
   background-position: 80% 80%, 0 0;
  
  background-image: -webkit-linear-gradient(
    top left,
    rgba(255, 255, 255, 0.2) 0%,
    rgba(255, 255, 255, 0.2) 37%,
    rgba(255, 255, 255, 0.8) 45%,
    rgba(255, 255, 255, 0.0) 50%
  );
  background-image: -moz-linear-gradient(
    0 0,
    rgba(255, 255, 255, 0.2) 0%,
    rgba(255, 255, 255, 0.2) 37%,
    rgba(255, 255, 255, 0.8) 45%,
    rgba(255, 255, 255, 0.0) 50%
  );    
  background-image: -o-linear-gradient(
    0 0,
    rgba(255, 255, 255, 0.2) 0%,
    rgba(255, 255, 255, 0.2) 37%,
    rgba(255, 255, 255, 0.8) 45%,
    rgba(255, 255, 255, 0.0) 50%
  );
  background-image: linear-gradient(
    0 0,
    rgba(255, 255, 255, 0.2) 0%,
    rgba(255, 255, 255, 0.2) 37%,
    rgba(255, 255, 255, 0.8) 45%,
    rgba(255, 255, 255, 0.0) 50%
  );
  
  -moz-background-size: 250% 250%, 100% 100%;
       background-size: 250% 250%, 100% 100%;
  
  -webkit-transition: background-position 0s ease;
     -moz-transition: background-position 0s ease;       
       -o-transition: background-position 0s ease;
          transition: background-position 0s ease;

}

  .select_this_discussion small{font-size:12px;}

  .noselect {
    -webkit-touch-callout: none; /* iOS Safari */
      -webkit-user-select: none; /* Safari */
       -khtml-user-select: none; /* Konqueror HTML */
         -moz-user-select: none; /* Old versions of Firefox */
          -ms-user-select: none; /* Internet Explorer/Edge */
              user-select: none; /* Non-prefixed version, currently
                                    supported by Chrome, Edge, Opera and Firefox */
  }